Subject: Re: [PATCH] completion: fix zsh check under bash with 'set -u'

From: SZEDER Gábor <[email-masked]>
Date: Thu, 28 Oct 2010 15:51:54 +0200

Hi Mark,

On Wed, Oct 27, 2010 at 09:08:21PM -0400, Mark Lodato wrote:
> Commit 06f44c3 (completion: make compatible with zsh) broke bash
> compatibility with 'set -u': a warning was generated when checking
> $ZSH_VERSION.  The solution is to supply a default value, using
> ${ZSH_VERSION-}.  Thanks to SZEDER Gábor for the fix.
> 
> Signed-off-by: Mark Lodato <[email-masked]>
> ---
>  contrib/completion/git-completion.bash |    6 +++---
>  1 files changed, 3 insertions(+), 3 deletions(-)

Thanks.  It works with bash and set -u, so if it works with zsh as
well, then I'm for it.

While you are around, could you please have a look at this thread?

http://thread.gmane.org/gmane.comp.version-control.git/160103/focus=160135

Thanks,
Gábor